This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 151169 - Missing BuildRequire openldap-devel
Missing BuildRequire openldap-devel
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 11:27 EST by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 10:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2005-03-15 11:27:07 EST
When building the nfs-utils package, the BuildRequire for openldap-devel seems
to be missing as the --rebuild does stop with the following message:

Making dep in misc
gcc -O2 -g -pipe -m64 -D_GNU_SOURCE -DHAVE_TCP_WRAPPER -I../../support/include
-I/usr/include -Wall  -pipe  -DVERSION="\"nfs-u
tils 1.0.6\"" -DNFS3_SUPPORTED -fpie -M tcpwrapper.c from_local.c mountpoint.c >
.depend
Making dep in nfsidmap
gcc -O2 -g -pipe -m64 -M libnfsidmap.c nss.c umich_ldap.c cfg.c strlcpy.c cfg.h
nfsidmap_internal.h queue.h > .depend
umich_ldap.c:40:18: ldap.h: No such file or directory
make[3]: *** [dep] Error 1
make[2]: *** [dep] Error 2
make[1]: *** [dep] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/nfs-utils-1.0.6'
make: *** [utils/statd/.depend] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.26065 (%build)
Comment 1 Andreas Thienemann 2005-06-20 10:26:19 EDT
Fix is in rawhide, it seems:
http://cvs.fedora.redhat.com/viewcvs/rpms/nfs-utils/devel/nfs-utils.spec?r1=1.44&r2=1.45

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.